=== debian/changelog ===
kaptain (1:0.73-1) unstable; urgency=low

  * New upstream version
    - Source converted to use Qt4. Closes: #604492
    - Adapt Build-Depends for Qt4
  * Depend on dpkg (>= 1.15.4) | install-info for partial upgrades
    from lenny
  * Switch to debhelper v8
  * Use dpkg source format 3.0 (quilt)
  * Update to Standards-Version 3.9.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Mon, 28 Feb 2011 20:18:33 +0100

kaptain (1:0.72-3) unstable; urgency=low

  * Change maintainer name
  * debian/copyright: update year, use "©" instead of "(C)", and make link
    to GPL-2 explicit
  * Update to Standards-Version 3.8.0, no changes needed
  * Switch to debhelper v7 and reduce debian/rules
  * Add ${misc:Depends} to debian/control to fix a Lintian warning

 -- Tobias Quathamer <toddy@debian.org>  Wed, 18 Feb 2009 09:47:48 +0100

kaptain (1:0.72-2) unstable; urgency=low

  * Use hardening-wrapper on m68k as well
  * Remove DM upload rights
  * Change maintainer e-mail address

 -- Tobias Toedter <toddy@debian.org>  Fri, 30 May 2008 09:14:40 +0200

kaptain (1:0.72-1) unstable; urgency=low

  * New upstream version. Closes: #374191
  * New maintainer, using DM upload. Closes: #467000
  * Acknowledge NMUs:
    - Thanks to LaMont Jones (1.1)
    - Thanks to Luk Claes (1.2, 1.3)
    - Thanks to Steinar H. Gunderson (1.4, 1.5). Closes: #375262, #375354
    - Thanks to James Vega (1.6). Closes: #470189
  * Update debhelper compatibility level to 5
  * Fix formatting in debian/changelog
  * Add homepage to debian/control
  * Rephrase short description
  * Add watch file
  * Rewrite debian/copyright and convert to UTF-8
  * Convert debian/kaptain.doc-base to UTF-8, update Section and current
    file path
  * Remove unnecessary Build-Depends
    - Remove libqt3-compat-headers. Closes: #464472
  * Use "-Wl,--as-needed" in LD_FLAGS to trim down list of unneeded
    library dependencies
  * Add autotools-dev to Build-Depends
  * Add hardening-wrapper to Build-Depends and use it on every
    architecture except m68k
  * Remove Replaces: captain and Conflicts: captain, as that package
    is not available in Debian since at least sarge
  * Remove usr/sbin from debian/dirs
  * Remove TODO from debian/docs, it's an empty file. Closes: #387733
  * Remove debian/README.Debian, the information given is no longer true
  * Rewrite debian/rules
  * Install example scripts in correct location
  * Install tutorial
  * Do not install upstream's changelog, as it is an empty file
  * Correct typos in manpage. Thanks to A. Costa. Closes: #394814
  * Fix FTBFS with GCC 4.3: missing #includes. Thanks to Martin
    Michlmayr for the patch. Closes: #417267
  * Fix FTBFS on slow architectures due to timestamp issues.
    Thanks to Roman Zippel for the patch. Closes: #394575
  * After all those changes, update Standards-Version to 3.7.3

 -- Tobias Toedter <t.toedter@gmx.net>  Mon, 10 Mar 2008 22:47:58 +0100

kaptain (1:0.71-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly include required headers to fix FTBFS with gcc-4.3.  (Closes:
    #417267)
  * Fix the path for upstream's documentation so that it's actually installed
    in the Debian package.  (Closes: #387733)
  * Build without libqt3-compat-headers.  (Closes: #464472)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 15:51:44 -0400

kaptain (1:0.71-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Pull in texinfo.tex from automake into admin/; it seems to be required
    for running admin/Makefile.common now.
  * Remove lexer.cpp and parser.cpp from kaptain_SOURCES; they are
    automatically generated from lexer.lpp and parser.ypp respecively, which
    seems to cause duplicate symbols under some automake versions.
  * Add AM_MAINTAINER_MODE to configure.in and rerun admin/Makefile.common;
    fixes FTBFS due to timestamp skew. (Closes: #375350)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Jun 2006 14:49:04 +0200

kaptain (1:0.71-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Pull in newer acinclude.m4.in from kapptemplate, put it in admin/ and
    rerun admin/Makefile.common; fixes FTBFS (Closes: #373923).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Jun 2006 22:35:17 +0200

kaptain (1:0.71-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346740).

 -- Luk Claes <luk@debian.org>  Wed, 11 Jan 2006 15:33:31 +0100

kaptain (1:0.71-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild for the Qt/KDE transition (Closes: #327946)
  * Forward declaration of Kaptain (Closes: #320903) 

 -- Luk Claes <luk@debian.org>  Tue, 27 Sep 2005 14:22:02 +0200

kaptain (1:0.71-1.1) unstable; urgency=low

  * NMU
  * Fix build-depends.  Closes: #197848

 -- LaMont Jones <lamont@debian.org>  Sat,  2 Aug 2003 14:53:33 -0600

kaptain (1:0.71-1) unstable; urgency=low

  * New upstream release
  * add missing #include <cassert> (Closes: #196670)

 -- Bradley Bell <btb@debian.org>  Tue, 17 Jun 2003 14:13:42 -0700

kaptain (1:0.7-4) unstable; urgency=low

  * Change path for angband (Closes: #144588)

 -- Bradley Bell <btb@debian.org>  Mon,  5 May 2003 14:08:19 -0700

kaptain (1:0.7-3) unstable; urgency=low

  * Build-dep on flex, bison (Closes: #186386)

 -- Bradley Bell <btb@debian.org>  Wed, 26 Mar 2003 12:13:41 -0800

kaptain (1:0.7-2) unstable; urgency=low

  * Rebuild against newer qt, gcc 3.2 (Closes: #184029, #185120)

 -- Bradley Bell <btb@debian.org>  Mon, 24 Mar 2003 11:19:29 -0800

kaptain (1:0.7-1) unstable; urgency=low

  * New upstream release
  * Only one binary package now (kaptain) which is Qt-based.

 -- Bradley Bell <btb@debian.org>  Mon,  7 Oct 2002 13:30:24 -0700

kaptain (1:0.6-4) unstable; urgency=low

  * add -O0 -mieee to alpha CXXFLAGS
  * Updated config.{guess,sub}

 -- Bradley Bell <btb@debian.org>  Fri, 30 Nov 2001 11:25:19 -0800

kaptain (1:0.6-3) unstable; urgency=low

  * Updated config.{guess,sub} (Closes: #116027)


