=== debian/control ===
Source: kaptain
Section: utils
Priority: optional
Maintainer: Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 8), hardening-wrapper, qt4-qmake, libqt4-dev,
               bison, flex
Standards-Version: 3.9.1
Homepage: http://kaptain.sourceforge.net/

Package: kaptain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: universal graphical front-end for command line programs
 Kaptain is a universal graphical front-end (Qt) based on context-free
 grammars. The program reads a file containing grammatical rules for
 generating text. It builds a dialog from the grammar and generates
 the text according to the user's settings.
