=== debian/rules ===
#!/usr/bin/make -f

# Use security features through hardening-wrapper
export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	qmake PREFIX=/usr QMAKE_LFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed" kaptain.pro
	
override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_install:
	dh_install
	# Install tutorial and remove the tarball
	tar xzf $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/tutorial.tgz
	mv article-kaptain/* $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/tutorial
	rm -rf article-kaptain
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/tutorial.tgz
	# Remove texi and info files
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/kaptain.info
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/kaptain.texi
