=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format
# Compulsory line, this is a version 3 file
version=3
http://sf.net/kaptain/kaptain-(.*)\.tar\.gz
